curl https://<your-instance>/v1/sdk/chart-types
{
"success": true,
"chartTypes": {
"avatar": "CH00001",
"clustered-bar": "CH00002",
"clustered-column": "CH00003",
"column": "CH00003",
"donut": "CH00005",
"column-line": "CH00006",
"gauge": "CH00007",
"horizontal-bar": "CH00011",
"bar": "CH00011",
"line-area": "CH00013",
"area": "CH00013",
"line": "CH00014",
"map": "CH00015",
"numeric": "CH00018",
"pie": "CH00019",
"scatter": "CH00024",
"nested-donut": "CH00016",
"polar-area": "CH00021",
"radar": "CH00022",
"stacked-bar": "CH00031",
"stacked-column": "CH00031",
"step-line": "CH00033",
"sunburst": "CH00034",
"bubble": "CH00040",
"table": "CH00032",
"grid": "CH00032",
"waterfall": "CH00064",
"trend-view": "CH00026",
"kpi": "CH00055",
"kpi-card": "CH00055"
},
"aggregations": {
"sum": "SUM",
"count": "COUNT",
"average": "AVERAGE",
"avg": "AVERAGE",
"min": "MIN",
"max": "MAX",
"distinct": "DISTINCT",
"as-is": "AS-IS"
}
}
SDK API
Get Chart Types
List all supported chart types and aggregation functions
GET
/
v1
/
sdk
/
chart-types
curl https://<your-instance>/v1/sdk/chart-types
{
"success": true,
"chartTypes": {
"avatar": "CH00001",
"clustered-bar": "CH00002",
"clustered-column": "CH00003",
"column": "CH00003",
"donut": "CH00005",
"column-line": "CH00006",
"gauge": "CH00007",
"horizontal-bar": "CH00011",
"bar": "CH00011",
"line-area": "CH00013",
"area": "CH00013",
"line": "CH00014",
"map": "CH00015",
"numeric": "CH00018",
"pie": "CH00019",
"scatter": "CH00024",
"nested-donut": "CH00016",
"polar-area": "CH00021",
"radar": "CH00022",
"stacked-bar": "CH00031",
"stacked-column": "CH00031",
"step-line": "CH00033",
"sunburst": "CH00034",
"bubble": "CH00040",
"table": "CH00032",
"grid": "CH00032",
"waterfall": "CH00064",
"trend-view": "CH00026",
"kpi": "CH00055",
"kpi-card": "CH00055"
},
"aggregations": {
"sum": "SUM",
"count": "COUNT",
"average": "AVERAGE",
"avg": "AVERAGE",
"min": "MIN",
"max": "MAX",
"distinct": "DISTINCT",
"as-is": "AS-IS"
}
}
Returns the full mapping of friendly chart type names to internal CH codes, and supported aggregation functions. No authentication required.
Response
boolean
Always
true.object
Map of friendly chart type names to CH codes.
object
Map of friendly aggregation names to operation types.
curl https://<your-instance>/v1/sdk/chart-types
{
"success": true,
"chartTypes": {
"avatar": "CH00001",
"clustered-bar": "CH00002",
"clustered-column": "CH00003",
"column": "CH00003",
"donut": "CH00005",
"column-line": "CH00006",
"gauge": "CH00007",
"horizontal-bar": "CH00011",
"bar": "CH00011",
"line-area": "CH00013",
"area": "CH00013",
"line": "CH00014",
"map": "CH00015",
"numeric": "CH00018",
"pie": "CH00019",
"scatter": "CH00024",
"nested-donut": "CH00016",
"polar-area": "CH00021",
"radar": "CH00022",
"stacked-bar": "CH00031",
"stacked-column": "CH00031",
"step-line": "CH00033",
"sunburst": "CH00034",
"bubble": "CH00040",
"table": "CH00032",
"grid": "CH00032",
"waterfall": "CH00064",
"trend-view": "CH00026",
"kpi": "CH00055",
"kpi-card": "CH00055"
},
"aggregations": {
"sum": "SUM",
"count": "COUNT",
"average": "AVERAGE",
"avg": "AVERAGE",
"min": "MIN",
"max": "MAX",
"distinct": "DISTINCT",
"as-is": "AS-IS"
}
}